# M18K: Mushroom Detection Dataset

Welcome to the Mushroom Detection Dataset repository. This dataset is a valuable resource for researchers and practitioners interested in automating agricultural processes, specifically related to mushroom harvesting, growth monitoring, and quality control. It provides a dedicated dataset for button mushroom (Agaricus bisporus) detection, comprising over 18,000 mushroom instances in 423 RGB-D image pairs.

## Overview

The dataset was collected using an Intel RealSense D405 camera, capturing realistic growth environment scenarios with comprehensive annotations. It serves as a benchmark for detection and instance segmentation algorithms in smart mushroom agriculture.

## Dataset Details

- **Mushroom Instances**: Over 18,000
- **Image Pairs**: 423 RGB-D image pairs
- **Camera Used**: Intel RealSense D405
- **Annotations**: Comprehensive annotations for detection and instance segmentation

## Download the Dataset

You can download the dataset directly from the repository using the link below:

[Download Dataset](https://drive.google.com/file/d/1iPANwP1k6tbz1EZRdG2qbst1tqqYsZ_x/view?usp=sharing)

Please refer to the dataset's license file for information about usage and distribution rights.

## Environment Setup

To work with the dataset, you need to set up the environment. You can do this using the following commands:

```bash
!conda create -n m18k python=3.10 -y
!conda activate m18k
```

## Installation

To install the `m18k` package for working with the dataset, use the following command:

```bash
!pip install m18k
```

## Results and Model Zoo

Coming soon.

## References

Coming soon.

---

Thank you for using the Mushroom Detection Dataset. We hope this resource aids your research and development efforts in the field of smart agriculture. If you have any questions or need support, please feel free to reach out to us.
